cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SPM

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SPM

- All Implemented Interfaces:
    ISegment

      public class SPM
      extends Segment

  SPM - Specimen Segment.

  The intent of SPM is to describe the characteristics of a specimen.

  Represents an HL7 SPM message segment. This segment has the following fields:

  SPM-1: Set ID _ SPM (SI)Optional
  SPM-2: Specimen ID (EIP)Optional
  SPM-3: Specimen Parent IDs (EIP)Optional
  SPM-4: Specimen Type (CWE)Required
  SPM-5: Specimen Type Modifier (CWE)Optional
  SPM-6: Specimen Additives (CWE)Optional
  SPM-7: Specimen Collection Method (CWE)Optional
  SPM-8: Specimen Source Site (CWE)Optional
  SPM-9: Specimen Source Site Modifier (CWE)Optional
  SPM-10: Specimen Collection Site (CWE)Optional
  SPM-11: Specimen Role (CWE)Optional
  SPM-12: Specimen Collection Amount (CQ)Optional
  SPM-13: Grouped Specimen Count (NM)Conditional
  SPM-14: Specimen Description (ST)Optional
  SPM-15: Specimen Handling Code (CWE)Optional
  SPM-16: Specimen Risk Code (CWE)Optional
  SPM-17: Specimen Collection Date/Time (DR)Optional
  SPM-18: Specimen Received Date/Time (DTM)Optional
  SPM-19: Specimen Expiration Date/Time (DTM)Optional
  SPM-20: Specimen Availability (ID)Optional
  SPM-21: Specimen Reject Reason (CWE)Optional
  SPM-22: Specimen Quality (CWE)Optional
  SPM-23: Specimen Appropriateness (CWE)Optional
  SPM-24: Specimen Condition (CWE)Optional
  SPM-25: Specimen Current Quantity (CQ)Optional
  SPM-26: Number of Specimen Containers (NM)Optional
  SPM-27: Container Type (CWE)Optional
  SPM-28: Container Condition (CWE)Optional
  SPM-29: Specimen Child Role (CWE)Optional
  SPM-30: Accession ID (CX)Optional
  SPM-31: Other Specimen ID (CX)Optional
  SPM-32: Shipment ID (EI)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPM()` Constructs the SPM segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAccessionID(CX objAccessionID)` Add the Accession ID.
    `void` | `addAccessionID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Accession ID.
    `void` | `addOtherSpecimenID(CX objOtherSpecimenID)` Add the Other Specimen ID.
    `void` | `addOtherSpecimenID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Other Specimen ID.
    `void` | `addSpecimenAdditives(CWE objspecimenAdditives)` Add the Specimen Additives.
    `void` | `addSpecimenAdditives(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Additives.
    `void` | `addSpecimenCondition(CWE objspecimenCondition)` Add the Specimen Condition.
    `void` | `addSpecimenCondition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Condition.
    `void` | `addSpecimenDescription(ST objspecimenDescription)` Add the Specimen Description.
    `void` | `addSpecimenDescription(java.lang.String strSpecimenDescription)` Add the Specimen Description.
    `void` | `addSpecimenHandlingCode(CWE objspecimenHandlingCode)` Add the Specimen Handling Code.
    `void` | `addSpecimenHandlingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Handling Code.
    `void` | `addSpecimenParentIDs(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Add the Specimen Parent IDs.
    `void` | `addSpecimenParentIDs(EIP objspecimenParentIDs)` Add the Specimen Parent IDs.
    `void` | `addSpecimenRejectReason(CWE objspecimenRejectReason)` Add the Specimen Reject Reason.
    `void` | `addSpecimenRejectReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Reject Reason.
    `void` | `addSpecimenRiskCode(CWE objspecimenRiskCode)` Add the Specimen Risk Code.
    `void` | `addSpecimenRiskCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Risk Code.
    `void` | `addSpecimenRole(CWE objspecimenRole)` Add the Specimen Role.
    `void` | `addSpecimenRole(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Role.
    `void` | `addSpecimenSourceSiteModifier(CWE objspecimenSourceSiteModifier)` Add the Specimen Source Site Modifier.
    `void` | `addSpecimenSourceSiteModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Source Site Modifier.
    `void` | `addSpecimenTypeModifier(CWE objspecimenTypeModifier)` Add the Specimen Type Modifier.
    `void` | `addSpecimenTypeModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Specimen Type Modifier.
    `ISingleCollection<CX>` | `getAccessionID()` Retrieves the Accession ID.
    `CWE` | `getContainerCondition()` Retrieves the Container Condition.
    `CWE` | `getContainerType()` Retrieves the Container Type.
    `NM` | `getGroupedSpecimenCount()` Retrieves the Grouped Specimen Count.
    `NM` | `getNumberofSpecimenContainers()` Retrieves the Number of Specimen Containers.
    `ISingleCollection<CX>` | `getOtherSpecimenID()` Retrieves the Other Specimen ID.
    `SI` | `getSetID_SPM()` Retrieves the Set ID SPM.
    `EI` | `getShipmentID()` Retrieves the Shipment ID.
    `ISingleCollection<CWE>` | `getSpecimenAdditives()` Retrieves the Specimen Additives.
    `CWE` | `getSpecimenAppropriateness()` Retrieves the Specimen Appropriateness.
    `ID` | `getSpecimenAvailability()` Retrieves the Specimen Availability.
    `CWE` | `getSpecimenChildRole()` Retrieves the Specimen Child Role.
    `CQ` | `getSpecimenCollectionAmount()` Retrieves the Specimen Collection Amount.
    `DR` | `getSpecimenCollectionDateTime()` Retrieves the Specimen Collection Date Time.
    `CWE` | `getSpecimenCollectionMethod()` Retrieves the Specimen Collection Method.
    `CWE` | `getSpecimenCollectionSite()` Retrieves the Specimen Collection Site.
    `ISingleCollection<CWE>` | `getSpecimenCondition()` Retrieves the Specimen Condition.
    `CQ` | `getSpecimenCurrentQuantity()` Retrieves the Specimen Current Quantity.
    `ISingleCollection<ST>` | `getSpecimenDescription()` Retrieves the Specimen Description.
    `DTM` | `getSpecimenExpirationDateTime()` Retrieves the Specimen Expiration Date Time.
    `ISingleCollection<CWE>` | `getSpecimenHandlingCode()` Retrieves the Specimen Handling Code.
    `EIP` | `getSpecimenID()` Retrieves the Specimen ID.
    `ISingleCollection<EIP>` | `getSpecimenParentIDs()` Retrieves the Specimen Parent IDs.
    `CWE` | `getSpecimenQuality()` Retrieves the Specimen Quality.
    `DTM` | `getSpecimenReceivedDateTime()` Retrieves the Specimen Received Date Time.
    `ISingleCollection<CWE>` | `getSpecimenRejectReason()` Retrieves the Specimen Reject Reason.
    `ISingleCollection<CWE>` | `getSpecimenRiskCode()` Retrieves the Specimen Risk Code.
    `ISingleCollection<CWE>` | `getSpecimenRole()` Retrieves the Specimen Role.
    `CWE` | `getSpecimenSourceSite()` Retrieves the Specimen Source Site.
    `ISingleCollection<CWE>` | `getSpecimenSourceSiteModifier()` Retrieves the Specimen Source Site Modifier.
    `CWE` | `getSpecimenType()` Retrieves the Specimen Type.
    `ISingleCollection<CWE>` | `getSpecimenTypeModifier()` Retrieves the Specimen Type Modifier.
    `void` | `setAccessionID(ISingleCollection<CX> objAccessionIDList)` set the Accession ID.
    `void` | `setContainerCondition(CWE objcontainerCondition)` Set the Container Condition.
    `void` | `setContainerCondition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Container Condition.
    `void` | `setContainerType(CWE objcontainerType)` Set the Container Type.
    `void` | `setContainerType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Container Type.
    `void` | `setGroupedSpecimenCount(NM objgroupedSpecimenCount)` Set the Grouped Specimen Count.
    `void` | `setGroupedSpecimenCount(java.lang.String strGroupedSpecimenCount)` Set the Grouped Specimen Count.
    `void` | `setNumberofSpecimenContainers(NM objnumberofSpecimenContainers)` Set the Number of Specimen Containers.
    `void` | `setNumberofSpecimenContainers(java.lang.String strNumberofSpecimenContainers)` Set the Number of Specimen Containers.
    `void` | `setOtherSpecimenID(ISingleCollection<CX> objAccessionIDList)` Set the Other Specimen ID.
    `void` | `setSetID_SPM(SI objsetID_SPM)` Set the Set ID SPM.
    `void` | `setSetID_SPM(java.lang.String strSetID_SPM)` Set the Set ID SPM.
    `void` | `setShipmentID(EI objspecimenID)` Set the Specimen ID.
    `void` | `setShipmentID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Shipment ID.
    `void` | `setSpecimenAdditives(ISingleCollection<CWE> objspecimenAdditivesList)` Set the Specimen Additives.
    `void` | `setSpecimenAppropriateness(CWE objspecimenAppropriateness)` Set the Specimen Appropriateness.
    `void` | `setSpecimenAppropriateness(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Appropriateness.
    `void` | `setSpecimenAvailability(ID objspecimenAvailability)` Set the Specimen Availability.
    `void` | `setSpecimenAvailability(java.lang.String strSpecimenAvailability)` Set the Specimen Availability.
    `void` | `setSpecimenChildRole(CWE objspecimenChildRole)` Set the Specimen Child Role.
    `void` | `setSpecimenChildRole(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Child Role.
    `void` | `setSpecimenCollectionAmount(CQ objspecimenCollectionAmount)` Set the Specimen Collection Amount.
    `void` | `setSpecimenCollectionAmount(java.lang.String strQuantity, CWE objUnits)` Set the Specimen Collection Amount.
    `void` | `setSpecimenCollectionDateTime(DR objspecimenCollectionDateTime)` Set the Specimen Collection Date Time.
    `void` | `setSpecimenCollectionDateTime(DTM objRangeStartDateTime, DTM objRangeEndDateTime)` Set the Specimen Collection Date Time.
    `void` | `setSpecimenCollectionMethod(CWE objspecimenCollectionMethod)` Set the Specimen Collection Method.
    `void` | `setSpecimenCollectionMethod(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Collection Method.
    `void` | `setSpecimenCollectionSite(CWE objspecimenCollectionSite)` Set the Specimen Collection Site.
    `void` | `setSpecimenCollectionSite(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Collection Site.
    `void` | `setSpecimenCondition(ISingleCollection<CWE> objspecimenConditionList)` Set the Specimen Condition.
    `void` | `setSpecimenCurrentQuantity(CQ objspecimenCurrentQuantity)` Set the Specimen Current Quantity.
    `void` | `setSpecimenCurrentQuantity(java.lang.String strQuantity, CWE objUnits)` Set the Specimen Current Quantity.
    `void` | `setSpecimenDescription(ISingleCollection<ST> objSpecimenDescription)` Set the Specimen Description.
    `void` | `setSpecimenExpirationDateTime(DTM objspecimenExpirationDateTime)` Set the Specimen Expiration Date Time.
    `void` | `setSpecimenExpirationDateTime(java.lang.String strTime)` Set the Specimen Expiration Date Time.
    `void` | `setSpecimenHandlingCode(ISingleCollection<CWE> objspecimenHandlingCodeList)` Set the Specimen Handling Code.
    `void` | `setSpecimenID(EI objPlacerAssignedIdentifier, EI objFillerAssignedIdentifier)` Set the Specimen ID.
    `void` | `setSpecimenID(EIP objspecimenID)` Set the Specimen ID.
    `void` | `setSpecimenParentIDs(ISingleCollection<EIP> objspecimenParentIDsList)` Set the Specimen Parent IDs.
    `void` | `setSpecimenQuality(CWE objspecimenQuality)` Set the Specimen Quality.
    `void` | `setSpecimenQuality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Quality.
    `void` | `setSpecimenReceivedDateTime(DTM objspecimenReceivedDateTime)` Set the Specimen Received Date Time.
    `void` | `setSpecimenReceivedDateTime(java.lang.String strTime)` Set the Specimen Received Date Time.
    `void` | `setSpecimenRejectReason(ISingleCollection<CWE> objspecimenRejectReasonList)` Set the Specimen Reject Reason.
    `void` | `setSpecimenRiskCode(ISingleCollection<CWE> objspecimenRiskCodeList)` Set the Specimen Risk Code.
    `void` | `setSpecimenRole(ISingleCollection<CWE> objspecimenRoleList)` Set the Specimen Role.
    `void` | `setSpecimenSourceSite(CWE objspecimenSourceSite)` Set the Specimen Source Site.
    `void` | `setSpecimenSourceSite(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Source Site.
    `void` | `setSpecimenSourceSiteModifier(ISingleCollection<CWE> objspecimenSourceSiteModifierList)` Set the Specimen Source Site Modifier.
    `void` | `setSpecimenType(CWE objspecimenType)` Set the Specimen Type.
    `void` | `setSpecimenType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Type.
    `void` | `setSpecimenTypeModifier(ISingleCollection<CWE> objspecimenTypeModifierList)` set the Specimen Type Modifier.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPM

          public SPM()

      Constructs the SPM segment.

  - ### Method Detail

    - #### getContainerCondition

          public CWE getContainerCondition()

      Retrieves the Container Condition.
      Returns:
        CWE - containerCondition

    - #### getContainerType

          public CWE getContainerType()

      Retrieves the Container Type.
      Returns:
        CWE - containerType

    - #### getGroupedSpecimenCount

          public NM getGroupedSpecimenCount()

      Retrieves the Grouped Specimen Count.
      Returns:
        String - groupedSpecimenCount

    - #### getNumberofSpecimenContainers

          public NM getNumberofSpecimenContainers()

      Retrieves the Number of Specimen Containers.
      Returns:
        String - numberofSpecimenContainers

    - #### getSetID_SPM

          public SI getSetID_SPM()

      Retrieves the Set ID SPM.
      Returns:
        String - setID_TQ1

    - #### getSpecimenAdditives

          public ISingleCollection<CWE> getSpecimenAdditives()

      Retrieves the Specimen Additives. This field identifies any additives introduced to the specimen before or at the time of collection.
      Returns:
        ISingleCollection - specimenAdditives

    - #### getSpecimenAppropriateness

          public CWE getSpecimenAppropriateness()

      Retrieves the Specimen Appropriateness.
      Returns:
        CWE - specimenAppropriateness

    - #### getSpecimenAvailability

          public ID getSpecimenAvailability()

      Retrieves the Specimen Availability.
      Returns:
        String - specimenAvailability

    - #### getSpecimenChildRole

          public CWE getSpecimenChildRole()

      Retrieves the Specimen Child Role.
      Returns:
        CWE - specimenChildRole

    - #### getSpecimenCollectionAmount

          public CQ getSpecimenCollectionAmount()

      Retrieves the Specimen Collection Amount.
      Returns:
        CQ - specimenCollectionAmount

    - #### getSpecimenCollectionDateTime

          public DR getSpecimenCollectionDateTime()

      Retrieves the Specimen Collection Date Time.
      Returns:
        DR - specimenCollectionDateTime

    - #### getSpecimenCollectionMethod

          public CWE getSpecimenCollectionMethod()

      Retrieves the Specimen Collection Method. This field describes the procedure or process by which the specimen was collected.
      Returns:
        CWE - specimenCollectionMethod

    - #### getSpecimenCollectionSite

          public CWE getSpecimenCollectionSite()

      Retrieves the Specimen Collection Site. This field differs from Specimen Source Site in those cases where the source site must be approached via a particular site.
      Returns:
        CWE - specimenCollectionSite

    - #### getSpecimenCondition

          public ISingleCollection<CWE> getSpecimenCondition()

      Retrieves the Specimen Condition.
      Returns:
        ISingleCollection - specimenCondition

    - #### getSpecimenCurrentQuantity

          public CQ getSpecimenCurrentQuantity()

      Retrieves the Specimen Current Quantity. This field specify the amount of specimen that currently exists or is available for use in further testing.
      Returns:
        CQ - specimenCurrentQuantity

    - #### getSpecimenDescription

          public ISingleCollection<ST> getSpecimenDescription()

      Retrieves the Specimen Description. This field specify the additional information specifically about the specimen to be sent in the message.
      Returns:
        ISingleCollection - specimenDescription

    - #### getSpecimenExpirationDateTime

          public DTM getSpecimenExpirationDateTime()

      Retrieves the Specimen Expiration Date Time. This field specify the date and time specimen can no longer be used for the purpose implied by the order.
      Returns:
        DTM - specimenExpirationDateTime

    - #### getSpecimenHandlingCode

          public ISingleCollection<CWE> getSpecimenHandlingCode()

      Retrieves the Specimen Handling Code. This field states that a specimen and/or container need to be handled from the time of collection through the initiation of testing.
      Returns:
        ISingleCollection - specimenHandlingCode

    - #### getSpecimenID

          public EIP getSpecimenID()

      Retrieves the Specimen ID. This field specify a unique identifier for the specimen as referenced by the Placer application, the Filler application, or both.
      Returns:
        EIP - specimenID

    - #### getSpecimenParentIDs

          public ISingleCollection<EIP> getSpecimenParentIDs()

      Retrieves the Specimen Parent IDs.
      Returns:
        ISingleCollection - specimenParentIDs

    - #### getSpecimenQuality

          public CWE getSpecimenQuality()

      Retrieves the Specimen Quality.
      Returns:
        CWE - specimenQuality

    - #### getSpecimenReceivedDateTime

          public DTM getSpecimenReceivedDateTime()

      Retrieves the Specimen Received Date Time.
      Returns:
        DTM - specimenReceivedDateTime

    - #### getSpecimenRejectReason

          public ISingleCollection<CWE> getSpecimenRejectReason()

      Retrieves the Specimen Reject Reason. This field specify that a one or more reasons that the specimen is rejected for the specified.
      Returns:
        ISingleCollection - specimenRejectReason

    - #### getSpecimenRiskCode

          public ISingleCollection<CWE> getSpecimenRiskCode()

      Retrieves the Specimen Risk Code.
      Returns:
        ISingleCollection - specimenRiskCode

    - #### getSpecimenRole

          public ISingleCollection<CWE> getSpecimenRole()

      Retrieves the Specimen Role.
      Returns:
        ISingleCollection - specimenRole

    - #### getSpecimenSourceSite

          public CWE getSpecimenSourceSite()

      Retrieves the Specimen Source Site. This field specifies the source from which the specimen was obtained. For example, in the case where a liver biopsy is obtained via a percutaneous needle, the source would be 'liver.'
      Returns:
        CWE - specimenSourceSite

    - #### getSpecimenSourceSiteModifier

          public ISingleCollection<CWE> getSpecimenSourceSiteModifier()

      Retrieves the Specimen Source Site Modifier. This field contains modifying or qualifying description(s) about the specimen source site.
      Returns:
        ISingleCollection - specimenSourceSiteModifier

    - #### getSpecimenType

          public CWE getSpecimenType()

      Retrieves the Specimen Type. This field describes the precise nature of the entity that will be the source material for the observation.
      Returns:
        CWE - specimenType

    - #### getSpecimenTypeModifier

          public ISingleCollection<CWE> getSpecimenTypeModifier()

      Retrieves the Specimen Type Modifier. This field contains modifying or qualifying description(s) about the specimen type.
      Returns:
        ISingleCollection - specimenTypeModifier

    - #### getAccessionID

          public ISingleCollection<CX> getAccessionID()

      Retrieves the Accession ID. This field contains accession identifier(s) associated with the specimen.
      Returns:
        ISingleCollection - AccessionID

    - #### getOtherSpecimenID

          public ISingleCollection<CX> getOtherSpecimenID()

      Retrieves the Other Specimen ID. This field contains other identifier(s) for the specimen as referenced an application.
      Returns:
        ISingleCollection - AccessionID

    - #### getShipmentID

          public EI getShipmentID()

      Retrieves the Shipment ID. The shipment identifier is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Returns:
        EI - ShipmentID

    - #### setContainerCondition

          public void setContainerCondition(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Container Condition.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContainerCondition

          public void setContainerCondition(CWE objcontainerCondition)

      Set the Container Condition.
      Parameters:
        `objcontainerCondition` - Object of Container Condition.

    - #### setContainerType

          public void setContainerType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Container Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContainerType

          public void setContainerType(CWE objcontainerType)

      Set the Container Type.
      Parameters:
        `objcontainerType` - Object of Container Type.

    - #### setGroupedSpecimenCount

          public void setGroupedSpecimenCount(java.lang.String strGroupedSpecimenCount)

      Set the Grouped Specimen Count.
      Parameters:
        `strGroupedSpecimenCount` - This field contains the String Value of Grouped Specimen Count

    - #### setGroupedSpecimenCount

          public void setGroupedSpecimenCount(NM objgroupedSpecimenCount)

      Set the Grouped Specimen Count.
      Parameters:
        `objgroupedSpecimenCount` - Object of Grouped Specimen Count.

    - #### setNumberofSpecimenContainers

          public void setNumberofSpecimenContainers(java.lang.String strNumberofSpecimenContainers)

      Set the Number of Specimen Containers.
      Parameters:
        `strNumberofSpecimenContainers` - This field contains the String Value of Number of Specimen Containers

    - #### setNumberofSpecimenContainers

          public void setNumberofSpecimenContainers(NM objnumberofSpecimenContainers)

      Set the Number of Specimen Containers.
      Parameters:
        `objnumberofSpecimenContainers` - Object of Number of Specimen Containers.

    - #### setSetID_SPM

          public void setSetID_SPM(java.lang.String strSetID_SPM)

      Set the Set ID SPM.
      Parameters:
        `strSetID_SPM` - This field contains the String Value of Set ID- SPM

    - #### setSetID_SPM

          public void setSetID_SPM(SI objsetID_SPM)

      Set the Set ID SPM.
      Parameters:
        `objsetID_SPM` - Object of Set ID SPM.

    - #### addSpecimenAdditives

          public void addSpecimenAdditives(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Additives. This field identifies any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenAdditives

          public void addSpecimenAdditives(CWE objspecimenAdditives)

      Add the Specimen Additives. This field identifies any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `objspecimenAdditives` - Object of Specimen Additives.

    - #### setSpecimenAdditives

          public void setSpecimenAdditives(ISingleCollection<CWE> objspecimenAdditivesList)

      Set the Specimen Additives. This field identifies any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `objspecimenAdditivesList` - List of Specimen Additives.

    - #### setSpecimenAppropriateness

          public void setSpecimenAppropriateness(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Appropriateness.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenAppropriateness

          public void setSpecimenAppropriateness(CWE objspecimenAppropriateness)

      Set the Specimen Appropriateness.
      Parameters:
        `objspecimenAppropriateness` - Object of Specimen Appropriateness.

    - #### setSpecimenAvailability

          public void setSpecimenAvailability(java.lang.String strSpecimenAvailability)

      Set the Specimen Availability.
      Parameters:
        `strSpecimenAvailability` - This field contains the String Value of Specimen Availability

    - #### setSpecimenAvailability

          public void setSpecimenAvailability(ID objspecimenAvailability)

      Set the Specimen Availability.
      Parameters:
        `objspecimenAvailability` - Object of Specimen Availability.

    - #### setSpecimenChildRole

          public void setSpecimenChildRole(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Child Role.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenChildRole

          public void setSpecimenChildRole(CWE objspecimenChildRole)

      Set the Specimen Child Role.
      Parameters:
        `objspecimenChildRole` - Object of Specimen Child Role.

    - #### setSpecimenCollectionAmount

          public void setSpecimenCollectionAmount(java.lang.String strQuantity,
                                         CWE objUnits)

      Set the Specimen Collection Amount.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setSpecimenCollectionAmount

          public void setSpecimenCollectionAmount(CQ objspecimenCollectionAmount)

      Set the Specimen Collection Amount.
      Parameters:
        `objspecimenCollectionAmount` - Object of Specimen Collection Amount.

    - #### setSpecimenCollectionDateTime

          public void setSpecimenCollectionDateTime(DTM objRangeStartDateTime,
                                           DTM objRangeEndDateTime)

      Set the Specimen Collection Date Time.
      Parameters:
        `objRangeStartDateTime` - Specifies the earliest date/time (time stamp) in the specified range.
        `objRangeEndDateTime` - Specifies the latest date/time in the specified range.

    - #### setSpecimenCollectionDateTime

          public void setSpecimenCollectionDateTime(DR objspecimenCollectionDateTime)

      Set the Specimen Collection Date Time.
      Parameters:
        `objspecimenCollectionDateTime` - Object of Specimen Collection Date Time.

    - #### setSpecimenCollectionMethod

          public void setSpecimenCollectionMethod(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Collection Method. This field describes the procedure or process by which the specimen was collected.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenCollectionMethod

          public void setSpecimenCollectionMethod(CWE objspecimenCollectionMethod)

      Set the Specimen Collection Method. This field describes the procedure or process by which the specimen was collected.
      Parameters:
        `objspecimenCollectionMethod` - Object of Specimen Collection Method.

    - #### setSpecimenCollectionSite

          public void setSpecimenCollectionSite(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Collection Site. This field differs from Specimen Source Site in those cases where the source site must be approached via a particular site.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenCollectionSite

          public void setSpecimenCollectionSite(CWE objspecimenCollectionSite)

      Set the Specimen Collection Site. This field differs from Specimen Source Site in those cases where the source site must be approached via a particular site.
      Parameters:
        `objspecimenCollectionSite` - Object of Specimen Collection Site.

    - #### addSpecimenCondition

          public void addSpecimenCondition(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Condition.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenCondition

          public void addSpecimenCondition(CWE objspecimenCondition)

      Add the Specimen Condition.
      Parameters:
        `objspecimenCondition` - Object of Specimen Condition.

    - #### setSpecimenCondition

          public void setSpecimenCondition(ISingleCollection<CWE> objspecimenConditionList)

      Set the Specimen Condition.
      Parameters:
        `objspecimenConditionList` - List of Specimen Condition.

    - #### setSpecimenCurrentQuantity

          public void setSpecimenCurrentQuantity(java.lang.String strQuantity,
                                        CWE objUnits)

      Set the Specimen Current Quantity. This field specify the amount of specimen that currently exists or is available for use in further testing.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setSpecimenCurrentQuantity

          public void setSpecimenCurrentQuantity(CQ objspecimenCurrentQuantity)

      Set the Specimen Current Quantity. This field specify the amount of specimen that currently exists or is available for use in further testing.
      Parameters:
        `objspecimenCurrentQuantity` - Object of Specimen Current Quantity.

    - #### addSpecimenDescription

          public void addSpecimenDescription(java.lang.String strSpecimenDescription)

      Add the Specimen Description. This field specify the additional information specifically about the specimen to be sent in the message.
      Parameters:
        `strSpecimenDescription` - This field contains the String Value of Specimen Description

    - #### addSpecimenDescription

          public void addSpecimenDescription(ST objspecimenDescription)

      Add the Specimen Description. This field specify the additional information specifically about the specimen to be sent in the message.
      Parameters:
        `objspecimenDescription` - Object of Specimen Description.

    - #### setSpecimenDescription

          public void setSpecimenDescription(ISingleCollection<ST> objSpecimenDescription)

      Set the Specimen Description. This field specify the additional information specifically about the specimen to be sent in the message.
      Parameters:
        `strSpecimenDescription` - This field contains the String Value of Specimen Description

    - #### setSpecimenExpirationDateTime

          public void setSpecimenExpirationDateTime(java.lang.String strTime)

      Set the Specimen Expiration Date Time. This field specify the date and time specimen can no longer be used for the purpose implied by the order.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setSpecimenExpirationDateTime

          public void setSpecimenExpirationDateTime(DTM objspecimenExpirationDateTime)

      Set the Specimen Expiration Date Time. This field specify the date and time specimen can no longer be used for the purpose implied by the order.
      Parameters:
        `objspecimenExpirationDateTime` - Object of Specimen Expiration Date Time.

    - #### addSpecimenHandlingCode

          public void addSpecimenHandlingCode(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Handling Code. This field states that a specimen and/or container need to be handled from the time of collection through the initiation of testing.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenHandlingCode

          public void addSpecimenHandlingCode(CWE objspecimenHandlingCode)

      Add the Specimen Handling Code. This field states that a specimen and/or container need to be handled from the time of collection through the initiation of testing.
      Parameters:
        `objspecimenHandlingCode` - Object of Specimen Handling Code.

    - #### setSpecimenHandlingCode

          public void setSpecimenHandlingCode(ISingleCollection<CWE> objspecimenHandlingCodeList)

      Set the Specimen Handling Code. This field states that a specimen and/or container need to be handled from the time of collection through the initiation of testing.
      Parameters:
        `objspecimenHandlingCodeList` - List of Specimen Handling Code.

    - #### setSpecimenID

          public void setSpecimenID(EI objPlacerAssignedIdentifier,
                           EI objFillerAssignedIdentifier)

      Set the Specimen ID. This field specify a unique identifier for the specimen as referenced by the Placer application, the Filler application, or both.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### setSpecimenID

          public void setSpecimenID(EIP objspecimenID)

      Set the Specimen ID. This field specify a unique identifier for the specimen as referenced by the Placer application, the Filler application, or both.
      Parameters:
        `objspecimenID` - Object of Specimen ID.

    - #### addSpecimenParentIDs

          public void addSpecimenParentIDs(EI objPlacerAssignedIdentifier,
                                  EI objFillerAssignedIdentifier)

      Add the Specimen Parent IDs.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### addSpecimenParentIDs

          public void addSpecimenParentIDs(EIP objspecimenParentIDs)

      Add the Specimen Parent IDs.
      Parameters:
        `objspecimenParentIDs` - Object of Specimen Parent IDs.

    - #### setSpecimenParentIDs

          public void setSpecimenParentIDs(ISingleCollection<EIP> objspecimenParentIDsList)

      Set the Specimen Parent IDs.
      Parameters:
        `objspecimenParentIDsList` - List of Specimen Parent IDs.

    - #### setSpecimenQuality

          public void setSpecimenQuality(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Quality.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenQuality

          public void setSpecimenQuality(CWE objspecimenQuality)

      Set the Specimen Quality.
      Parameters:
        `objspecimenQuality` - Object of Specimen Quality.

    - #### setSpecimenReceivedDateTime

          public void setSpecimenReceivedDateTime(java.lang.String strTime)

      Set the Specimen Received Date Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setSpecimenReceivedDateTime

          public void setSpecimenReceivedDateTime(DTM objspecimenReceivedDateTime)

      Set the Specimen Received Date Time.
      Parameters:
        `objspecimenReceivedDateTime` - Object of Specimen Received Date Time.

    - #### addSpecimenRejectReason

          public void addSpecimenRejectReason(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Reject Reason. This field specify that a one or more reasons that the specimen is rejected for the specified.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenRejectReason

          public void addSpecimenRejectReason(CWE objspecimenRejectReason)

      Add the Specimen Reject Reason. This field specify that a one or more reasons that the specimen is rejected for the specified.
      Parameters:
        `objspecimenRejectReason` - Object of Specimen Reject Reason.

    - #### setSpecimenRejectReason

          public void setSpecimenRejectReason(ISingleCollection<CWE> objspecimenRejectReasonList)

      Set the Specimen Reject Reason. This field specify that a one or more reasons that the specimen is rejected for the specified.
      Parameters:
        `objspecimenRejectReasonList` - List of Specimen Reject Reason.

    - #### addSpecimenRiskCode

          public void addSpecimenRiskCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Risk Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenRiskCode

          public void addSpecimenRiskCode(CWE objspecimenRiskCode)

      Add the Specimen Risk Code.
      Parameters:
        `strIdentifier` - Specifies Sequence of characters (the code) that uniquely identifies the item being referenced.
        `objspecimenRiskCode` - Object of Specimen Risk Code.

    - #### setSpecimenRiskCode

          public void setSpecimenRiskCode(ISingleCollection<CWE> objspecimenRiskCodeList)

      Set the Specimen Risk Code.
      Parameters:
        `strIdentifier` - Specifies Sequence of characters (the code) that uniquely identifies the item being referenced.
        `objspecimenRiskCodeList` - List of Specimen Risk Code.

    - #### addSpecimenRole

          public void addSpecimenRole(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Role.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenRole

          public void addSpecimenRole(CWE objspecimenRole)

      Add the Specimen Role.
      Parameters:
        `objspecimenRole` - Object of Specimen Role.

    - #### setSpecimenRole

          public void setSpecimenRole(ISingleCollection<CWE> objspecimenRoleList)

      Set the Specimen Role.
      Parameters:
        `objspecimenRoleList` - List of Specimen Role.

    - #### setSpecimenSourceSite

          public void setSpecimenSourceSite(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Source Site. This field specifies the source from which the specimen was obtained. For example, in the case where a liver biopsy is obtained via a percutaneous needle, the source would be 'liver.'
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenSourceSite

          public void setSpecimenSourceSite(CWE objspecimenSourceSite)

      Set the Specimen Source Site. This field specifies the source from which the specimen was obtained. For example, in the case where a liver biopsy is obtained via a percutaneous needle, the source would be 'liver.'
      Parameters:
        `objspecimenSourceSite` - Object of Specimen Source Site.

    - #### addSpecimenSourceSiteModifier

          public void addSpecimenSourceSiteModifier(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Source Site Modifier. This field contains modifying or qualifying description(s) about the specimen source site.
      Parameters:
        `strIdentifier` - Specifies Sequence of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction or X-ray impression.
        `strNameOfCodingSystem` - Specifies coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system identified by components 1-3.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system identified by components 4-6.
        `strOriginalText` - Specifies original text that was available to an automated process or a human before a specific code was assigned.

    - #### addSpecimenSourceSiteModifier

          public void addSpecimenSourceSiteModifier(CWE objspecimenSourceSiteModifier)

      Add the Specimen Source Site Modifier. This field contains modifying or qualifying description(s) about the specimen source site.
      Parameters:
        `objspecimenSourceSiteModifier` - Object of Specimen Source Site Modifier.

    - #### setSpecimenSourceSiteModifier

          public void setSpecimenSourceSiteModifier(ISingleCollection<CWE> objspecimenSourceSiteModifierList)

      Set the Specimen Source Site Modifier. This field contains modifying or qualifying description(s) about the specimen source site.
      Parameters:
        `objspecimenSourceSiteModifierList` - List of Specimen Source Site Modifier.

    - #### setSpecimenType

          public void setSpecimenType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Type. This field describes the precise nature of the entity that will be the source material for the observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenType

          public void setSpecimenType(CWE objspecimenType)

      Set the Specimen Type. This field describes the precise nature of the entity that will be the source material for the observation.
      Parameters:
        `objspecimenType` - Object of Specimen Type.

    - #### addSpecimenTypeModifier

          public void addSpecimenTypeModifier(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Specimen Type Modifier. This field contains modifying or qualifying description(s) about the specimen type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecimenTypeModifier

          public void addSpecimenTypeModifier(CWE objspecimenTypeModifier)

      Add the Specimen Type Modifier. This field contains modifying or qualifying description(s) about the specimen type.
      Parameters:
        `objspecimenTypeModifier` - Object of Specimen Type Modifier.

    - #### setSpecimenTypeModifier

          public void setSpecimenTypeModifier(ISingleCollection<CWE> objspecimenTypeModifierList)

      set the Specimen Type Modifier. This field contains modifying or qualifying description(s) about the specimen type.
      Parameters:
        `objspecimenTypeModifierList` - List of Specimen Type Modifier.

    - #### setAccessionID

          public void setAccessionID(ISingleCollection<CX> objAccessionIDList)

      set the Accession ID. This field contains accession identifier(s) associated with the specimen.
      Parameters:
        `objAccessionIDList` - List of Accession ID.

    - #### addAccessionID

          public void addAccessionID(java.lang.String strIDNumber,
                            java.lang.String strCheckDigit,
                            java.lang.String strCheckDigitScheme,
                            HD objAssigningAuthority,
                            java.lang.String strIdentifierTypeCode,
                            HD objAssigningFacility,
                            java.lang.String strEffectiveDate,
                            java.lang.String strExpirationDate,
                            CWE objAssigningJurisdiction,
                            CWE objAssigningAgencyOrDepartment,
                            java.lang.String strSecurityCheck,
                            java.lang.String strSecurityCheckScheme)

      Add the Accession ID. This field contains accession identifier(s) associated with the specimen.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addAccessionID

          public void addAccessionID(CX objAccessionID)

      Add the Accession ID. This field contains accession identifier(s) associated with the specimen.
      Parameters:
        `objAccessionID` - Object of Accession ID.

    - #### setOtherSpecimenID

          public void setOtherSpecimenID(ISingleCollection<CX> objAccessionIDList)

      Set the Other Specimen ID. This field contains other identifier(s) for the specimen as referenced an application.
      Parameters:
        `objOtherSpecimenIDList` - List of Other Specimen ID.

    - #### addOtherSpecimenID

          public void addOtherSpecimenID(java.lang.String strIDNumber,
                                java.lang.String strCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                HD objAssigningAuthority,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepartment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Add the Other Specimen ID. This field contains other identifier(s) for the specimen as referenced an application.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addOtherSpecimenID

          public void addOtherSpecimenID(CX objOtherSpecimenID)

      Add the Other Specimen ID. This field contains other identifier(s) for the specimen as referenced an application.
      Parameters:
        `objOtherSpecimenID` - Object of Other Specimen ID.

    - #### setShipmentID

          public void setShipmentID(java.lang.String strEntityIdentifier,
                           java.lang.String strNamespaceId,
                           java.lang.String strUniversalId,
                           java.lang.String strUniversalIdType)

      Set the Shipment ID. The shipment identifier is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setShipmentID

          public void setShipmentID(EI objspecimenID)

      Set the Specimen ID. The shipment identifier is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `objspecimenID` - Object of Specimen Type.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.